
let x = 0;
let y =0;
let easing = 0.01;

function setup(){
  	createCanvas(800, 600);
}

function draw() {
	let targetX = mouseX;
	x += (targetX - x) * easing;
  
   	console.log(targetX + " : " + x);

  let targetY = mouseY;
     y += (targetY - y) * easing;
       ellipse(x, y, 12, 12);
        console.log(targetY + " : " + y);
		
}
